local addonName, player = ...

function fillTradeWindow(item, position)
    if next(inventory) == nil then
        showMessage(player.signature .. "Item not found " .. item.link .. " |T" .. GetItemIcon(item.id) .. ":0|t")
        return
    end

    if position == nil then
        showMessage(player.signature .. "Trade window is full")
        return
    else
        for i = 1, inventoryIndex do
            local locked = C_Container.GetContainerItemInfo(inventory[i].bag, inventory[i].slot)
            local stackCount = getItem(inventory[i].item)
            local stack = player.data.setting.full

            if inventory[i].bound == true then
                showMessage(player.signature .. "Item is Soulbound " .. item.link .. " |T" .. GetItemIcon(item.id) .. ":0|t can't trade that")
                return
            end

            if stack == false then

                if inventory[i].item == item.id and locked.isLocked == false then
                    ClearCursor()
                    C_Container.PickupContainerItem(inventory[i].bag, inventory[i].slot)
                    ClickTradeButton(position)
                    availableItems()
                    break
                end

                if i >= inventoryIndex then
                    showMessage(player.signature .. "Out of stock " .. item.link .. " |T" .. GetItemIcon(item.id) .. ":0|t no more stacks available")
                    return
                end
            end

            if stack == true then

                if inventory[i].item == item.id and locked.isLocked == false and inventory[i].count == stackCount.stack then
                    ClearCursor()
                    C_Container.PickupContainerItem(inventory[i].bag, inventory[i].slot)
                    ClickTradeButton(position)
                    availableItems()
                    break
                end

                if i >= inventoryIndex then
                    showMessage(player.signature .. "Out of stock " .. item.link .. " |T" .. GetItemIcon(item.id) .. ":0|t no more full stack available")
                    return
                end
            end
        end
    end
end